{% load mptt_tags %}

<div class="">
<ul class="tree">
    {% recursetree child_units %}
        <li>
            <a href="{% url "my_unit_overview" node.pk %}">
            	<span class="i i-organization-unit"></span>
            	{{ node.name }}</a>
            
        	<span class="badge badge-info">
        		{{ node.products.count }} products
        	</span>
            
            {% comment %}
            {% if node.products.count %}
            	<ul class="products">
            		{% for product in node.products.all %}
            			<li>
            				<a href="{% url product_detail product.pk %}">
            					<span class="i i-product"></span>
            					{{ product.name }}
            				</a>
            			</li>
            		{% endfor %}
            	</ul>
            {% endif %}
            {% endcomment %}
            {% if not node.is_leaf_node %}
                <ul class="children">
                    {{ children }}
                </ul>
            {% endif %}
        </li>
    {% endrecursetree %}
</ul>	
</div>

<script>
	$(function() {
		$(".treeuix").jstree({
        	plugins : [ "html_data", "themes" ],
        	core: {
        		animation: false
        	},
        	themes: {
        		icons: false,
        		theme: "classic"
        	},
		});
	}).on('loaded.jstree', function() {
    	$(".treeui").jstree('open_all');
  	});        	
	
	;
</script>	
